Kerbal Space Program - Bug #26963

Stacked parts in cargo slot disappear when recovering
01/04/2021 03:47 AM - Aikr

Status: Resolved Start date: 01/04/2021
Severity: Low % Done: 100%
Assignee: just_jim
Category: Parts
Target version: 1.11.1
Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

When multiple parts in one cargo slot, only one of them recovered, and other lost.

HOW TO REPLICATE:

1. Start a game (Career mode).

2. Make a craft (only Mk1 Command Pod).

3. Put stack of 3 Cubic Octagonal Struts into cargo slot. Notice that craft with cargo costs 683 Funds.
4. Save craft and launch it.

5. Recover craft from LaunchPad.

Expected: 3 Cubic Octagonal Struts in part list, 683 Funds from recovered parts.
Result/Observed: only 1 C. O. S. in part list, 651 Funds from recovered parts.

This also happens with any parts can be stacked, with any cargo containers.

Game version:

1.11.0.3045 (Windows Player x64) en-us, Steam
1.11.0 Making History

1.6.0 Breaking Ground

No any mods

P.S. | set Parts category, because there is not Cargo category in list. Maybe it should be added?

History

#1 - 01/07/2021 09:20 PM - just_jim
- Status changed from New to Confirmed
- Assignee set to just_jim

- % Done changed from 0 to 10

#3 - 01/29/2021 01:35 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.11.1

- % Done changed from 10 to 80

We've made some changes in the latest version of the game and would like some feedback on this issue. Thanks.

#4 - 08/13/2021 12:56 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This should be solved in the latest 1.12 release. Please continue to report if there are any more cargo inventory issues.
